﻿//------------------------------------------------------------------------------
// <copyright file="EntityUtils.cs" company="Microsoft">
//     Copyright (c) Microsoft Corporation.  All rights reserved.
// </copyright>
//------------------------------------------------------------------------------

namespace EFOracleProvider
{
    using System;

    internal static class EntityUtils
    {
        static internal T CheckArgumentNull<T>(T value, string parameterName) where T : class
        {
            if (null == value)
            {
                throw new ArgumentNullException(parameterName);
            }
            return value;
        }
    }
}
